## org.eclipse.jetty.client
Class HttpConnection

    java.lang.Object
      org.eclipse.jetty.client.HttpConnection

All Implemented Interfaces:
  Connection

    public class HttpConnection

extends Object
implements Connection

Version:
  $Revision: 879 $ $Date: 2009-09-11 16:13:28 +0200 (Fri, 11 Sep 2009) $

Method Summary
`boolean` `cancelIdleTimeout()`
`void` `close()`
`void` `closed()`
`void` `dump()`
`HttpDestination` `getDestination()`
`EndPoint` `getEndPoint()`
`long` `getTimeStamp()`
`Connection` `handle()` Handle the connection.
`boolean` `isIdle()`
`boolean` `isReserved()`
`boolean` `isSuspended()`
`protected void` `reset(boolean returnBuffers)`
`boolean` `send(HttpExchange ex)`
`void` `setDestination(HttpDestination destination)`
`void` `setIdleTimeout()`
`void` `setReserved(boolean reserved)`
`String` `toDetailString()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### dump

    public void dump()
              throws IOException

  Throws:
    `IOException`

### getTimeStamp

    public long getTimeStamp()

  Specified by:
    `getTimeStamp` in interface `Connection`

### setReserved

    public void setReserved(boolean reserved)

### isReserved

    public boolean isReserved()

### getDestination

    public HttpDestination getDestination()

### setDestination

    public void setDestination(HttpDestination destination)

### send

    public boolean send(HttpExchange ex)
                 throws IOException

  Throws:
    `IOException`

### handle

    public Connection handle()
                      throws IOException

  Description copied from interface: `Connection`
  Handle the connection.

  Specified by:
    `handle` in interface `Connection`
  Returns:
    The Connection to use for the next handling of the connection. This allows protocol upgrades and support for CONNECT.
  Throws:
    `IOException`

### isIdle

    public boolean isIdle()

  Specified by:
    `isIdle` in interface `Connection`

### isSuspended

    public boolean isSuspended()

  Specified by:
    `isSuspended` in interface `Connection`
  See Also:
    `Connection.isSuspended()`

### closed

    public void closed()

  Specified by:
    `closed` in interface `Connection`

### getEndPoint

    public EndPoint getEndPoint()

### reset

    protected void reset(boolean returnBuffers)
                  throws IOException

  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toDetailString

    public String toDetailString()

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

### setIdleTimeout

    public void setIdleTimeout()

### cancelIdleTimeout

    public boolean cancelIdleTimeout()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.